/*
 * ******************************************************************************************
 *
 * File		: apb_pit_hal.h
 * Author	: GOWIN
 * Function	: Hardware platform level definition of APB PIT
 *
 * ******************************************************************************************
 */

#ifndef __APB_PIT_HAL_H__
#define __APB_PIT_HAL_H__


#ifdef __cplusplus
extern "C" {
#endif


// Includes ---------------------------------------------------------------------------------
#include "platform.h"


// Definitions  -----------------------------------------------------------------------------

#define SYSCLK		PCLKFREQ


/************************ INTERRUPT *****************************/
// Should be re-defined by user based on different platform.
// ...
void hal_disable_interrupt(unsigned int source);	// Disable interrupt
void hal_enable_interrupt(unsigned int source);		// Enable interrupt


#ifdef __cplusplus
}
#endif


#endif	/* __APB_PIT_HAL_H__ */
